AGReifier (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGReifier

Package com.franz.agraph.jena

# Class AGReifier

java.lang.Object
com.franz.agraph.jena.AGReifier

public class AGReifier extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExtendedIterator<Node>`
  `allNodes()`
  `ExtendedIterator<Node>`
  `allNodes(Triple t)`
  `void`
  `close()`
  `ExtendedIterator<Triple>`
  `find(Triple m)`
  `ExtendedIterator<Triple>`
  `findEither(Triple m, boolean showHidden)`
  `ExtendedIterator<Triple>`
  `findExposed(Triple m)`
  `Graph`
  `getParentGraph()`
  `Triple`
  `getTriple(Node n)`
  `boolean`
  `handledAdd(Triple t)`
  `boolean`
  `handledRemove(Triple t)`
  `boolean`
  `hasTriple(Node n)`
  `boolean`
  `hasTriple(Triple t)`
  `Node`
  `reifyAs(Node n, Triple t)`
  `void`
  `remove(Node n, Triple t)`
  `void`
  `remove(Triple t)`
  `int`
  `size()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getTriple

    public Triple getTriple(Node n)

  - ### find

    public ExtendedIterator<Triple> find(Triple m)

  - ### findExposed

    public ExtendedIterator<Triple> findExposed(Triple m)

  - ### findEither

    public ExtendedIterator<Triple> findEither(Triple m, boolean showHidden)

  - ### size

    public int size()

  - ### getParentGraph

    public Graph getParentGraph()

  - ### reifyAs

    public Node reifyAs(Node n, Triple t)

  - ### hasTriple

    public boolean hasTriple(Node n)

  - ### hasTriple

    public boolean hasTriple(Triple t)

  - ### allNodes

    public ExtendedIterator<Node> allNodes()

  - ### allNodes

    public ExtendedIterator<Node> allNodes(Triple t)

  - ### remove

    public void remove(Node n, Triple t)

  - ### remove

    public void remove(Triple t)

  - ### handledAdd

    public boolean handledAdd(Triple t)

  - ### handledRemove

    public boolean handledRemove(Triple t)

  - ### close

    public void close()